package model

type Dial struct {
	Event                 string `json:"event"`
	Channel               string `json:"channel"`
	ChannelState          string `json:"channelState"`
	ChannelStateDesc      string `json:"channelStateDesc"`
	CallerIDNum           string `json:"callerIDNum"`
	CallerIDName          string `json:"callerIDName"`
	ConnectedLineNum      string `json:"connectedLineNum"`
	ConnectedLineName     string `json:"connectedLineName"`
	AccountCode           string `json:"accountCode"`
	Context               string `json:"context"`
	Exten                 string `json:"exten"`
	Priority              string `json:"priority"`
	Uniqueid              string `json:"uniqueid"`
	Linkedid              string `json:"linkedid"`
	DestChannel           string `json:"destChannel"`
	DestChannelState      string `json:"destChannelState"`
	DestChannelStateDesc  string `json:"destChannelStateDesc"`
	DestCallerIDNum       string `json:"destCallerIDNum"`
	DestCallerIDName      string `json:"destCallerIDName"`
	DestConnectedLineNum  string `json:"destConnectedLineNum"`
	DestConnectedLineName string `json:"destConnectedLineName"`
	DestLanguage          string `json:"destLanguage"`
	DestAccountCode       string `json:"destAccountCode"`
	DestContext           string `json:"destContext"`
	DestExten             string `json:"destExten"`
	DestPriority          string `json:"destPriority"`
	DestUniqueid          string `json:"destUniqueid"`
	DestLinkedid          string `json:"destLinkedid"`
	DialString            string `json:"dialString"`
	Forward               string `json:"forward"`
}

type DialBeign Dial

type DialEnd Dial

type DialState Dial
